Package org.eclipse.mat.ui.internal.views

# Class SnapshotDetailsView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.ui.part.PageBookView
org.eclipse.ui.views.contentoutline.ContentOutline
org.eclipse.mat.ui.internal.views.SnapshotDetailsView

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `ISelectionChangedListener`, `ISelectionProvider`, `IPartListener`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

public class SnapshotDetailsView extends ContentOutline

## Field Summary

### Fields inherited from class org.eclipse.ui.views.contentoutline.ContentOutline

`CONTENT_OUTLINE_VIEW_HELP_CONTEXT_ID, PREFIX`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`SnapshotDetailsView()`

## Method Summary

### Methods inherited from class org.eclipse.ui.views.contentoutline.ContentOutline

`addSelectionChangedListener, createPartControl, getAdapter, getSelection, partBroughtToTop, removeSelectionChangedListener, selectionChanged, setSelection`

### Methods inherited from class org.eclipse.ui.part.PageBookView

`dispose, getCurrentPage, getDefaultPage, init, partActivated, partClosed, partDeactivated, partOpened, setFocus`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Constructor Details

### SnapshotDetailsView

public SnapshotDetailsView()